> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get a trace's resolved evaluation

GET https://astropods.com/api/v1/deployments/{id}/trace-evaluations/{traceId}

Reference: https://docs.astropods.com/api-reference/astropods-api/evaluations/get-a-traces-resolved-evaluation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID
- `traceId` (string, required) — Trace ID

## Response

### 200

OK

- `evaluation` (TraceEvaluation, optional)

## Errors

### 500 Internal Server Error

Internal Server Error

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### TraceEvaluation

- `evaluation_ref` (string, optional)
- `human_review` (TraceHumanReview, optional)
- `outdated` (boolean, optional)
- `run` (TraceEvaluationRun, optional)
- `status` (string, optional)

### TraceHumanReview

- `id` (string, optional)
- `outputs` (list of TraceHumanReviewOutput, optional)
- `reviewed_by_user_id` (string, optional)
- `updated_at` (string, optional)

### TraceEvaluationRun

- `error` (string, optional, nullable)
- `evaluators` (list of TraceEvaluatorResult, optional)
- `id` (string, optional)
- `status` (string, optional)
- `updated_at` (string, optional)

### TraceHumanReviewOutput

- `key` (string, optional)
- `value` (any, optional)

### TraceEvaluatorResult

- `confidence` (double, optional)
- `description` (string, optional)
- `error` (string, optional, nullable)
- `explanation` (string, optional)
- `key` (string, optional)
- `label` (string, optional)
- `output` (Output, optional)
- `status` (string, optional)
- `type` (string, optional)
- `value` (any, optional)

### Output

- `max_length` (integer, optional, nullable)
- `maximum` (double, optional, nullable)
- `minimum` (double, optional, nullable)
- `options` (list of string, optional)
- `type` (string, optional)

## Examples

**Response**

```json
{
  "evaluation": {
    "evaluation_ref": "string",
    "human_review": {
      "id": "string",
      "outputs": [
        {
          "key": "string"
        }
      ],
      "reviewed_by_user_id": "string",
      "updated_at": "string"
    },
    "outdated": true,
    "run": {
      "error": "string",
      "evaluators": [
        {
          "confidence": 1.1,
          "description": "string",
          "error": "string",
          "explanation": "string",
          "key": "string",
          "label": "string",
          "output": {
            "max_length": 1,
            "maximum": 1.1,
            "minimum": 1.1,
            "options": [
              "string"
            ],
            "type": "string"
          },
          "status": "string",
          "type": "string"
        }
      ],
      "id": "string",
      "status": "string",
      "updated_at": "string"
    },
    "status": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/trace-evaluations/traceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```